#ifndef NODE_INPUT_STATE_H
#define NODE_INPUT_STATE_H

enum MoveType { 
	MOVE_NONE	= 0x00000000,
	MOVE_LEFT	= 0x00000001,
	MOVE_RIGHT	= 0x00000010,
	MOVE_UP		= 0x00000100,
	MOVE_DOWN	= 0x00001000,
	MOVE_IN		= 0x00010000,
	MOVE_OUT	= 0x00100000
};

class NodeInputState
{
	public:
	NodeInputState::NodeInputState() : 
		moveRequest(MOVE_NONE), angle(0), velocity(8) {}

	int moveRequest;
	int angle;
	int velocity;
};

#endif