#include<Windows.h>

#include<iostream>

#include "KeyboardEventHandler.h"
#include "NodeInputState.h"

#include<osgGA/GUIEventHandler>
#include<osgGA/GUIEventAdapter>
#include<osgGA/GUIActionAdapter>

using namespace std;

bool KeyboardEventHandler::handle(const osgGA::GUIEventAdapter& ea, osgGA::GUIActionAdapter& aa)
{

	switch(ea.getEventType())
	{
		case(osgGA::GUIEventAdapter::KEYDOWN):
		{
			nodeInputStates->moveRequest = 0x0;
			if(ea.getKey() == osgGA::GUIEventAdapter::KEY_Left) {
					nodeInputStates->moveRequest = nodeInputStates->moveRequest | MOVE_LEFT;
			}
			if(ea.getKey() == osgGA::GUIEventAdapter::KEY_Right) {
					nodeInputStates->moveRequest = nodeInputStates->moveRequest | MOVE_RIGHT;
			}
			if(ea.getKey() == osgGA::GUIEventAdapter::KEY_Up) {
					nodeInputStates->moveRequest = nodeInputStates->moveRequest | MOVE_UP;
			}
			if(ea.getKey() == osgGA::GUIEventAdapter::KEY_Down) {
					nodeInputStates->moveRequest = nodeInputStates->moveRequest | MOVE_DOWN;
			}
			if(ea.getKey() == 'w') {
					nodeInputStates->moveRequest = nodeInputStates->moveRequest | MOVE_IN;
			}
			if(ea.getKey() == 's') {
					nodeInputStates->moveRequest = nodeInputStates->moveRequest | MOVE_OUT;
			} 
			if('1' <= ea.getKey() && ea.getKey() <= '9') {
					nodeInputStates->velocity = (double)(ea.getKey() - '0');
			} 
			return false;
			break;
		}
		case(osgGA::GUIEventAdapter::KEYUP):
		{
			nodeInputStates->moveRequest = MOVE_NONE;
			return false;
			break;
		}
		default:
			return false;
	}
}

