#ifndef KEYBOARD_EVENT_HANDLER_H
#define KEYBOARD_EVENT_HANDLER_H

#include<Windows.h>

#include<osgGA/GUIEventHandler>
#include<osgGA/GUIEventAdapter>
#include<osgGA/GUIActionAdapter>

//#include "NodeEventHandler.h"
//#include "NodeInputState.h"

class NodeInputState;

class KeyboardEventHandler : public osgGA::GUIEventHandler
{
public:
	KeyboardEventHandler() : GUIEventHandler() { }
	KeyboardEventHandler(NodeInputState* nis) : GUIEventHandler()
	{
		nodeInputStates = nis;
	}

	virtual bool handle(const osgGA::GUIEventAdapter& ea,osgGA::GUIActionAdapter&);
	virtual void accept(osgGA::GUIEventHandlerVisitor& v)   { v.visit(*this); };

	NodeInputState* nodeInputStates;
};

#endif